Bug 498887 - Review Request: perl-Class-Mix - Dynamic class mixing
Review Request: perl-Class-Mix - Dynamic class mixing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Class-Mix/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 05:23 EDT by Iain Arnell
Modified: 2016-08-14 12:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.002-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 19:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-04 05:23:30 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Class-Mix.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Class-Mix-0.002-1.fc12.src.rpm

Description:
The mix_class function provided by this module dynamically generates
'anonymous' classes with specified inheritance.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1334916

*rt-0.09
Comment 1 Parag AN(पराग) 2009-05-04 07:04:21 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1334916
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7773c6342f20370c4b40d468da031016  Class-Mix-0.002.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=17,  1 wallclock secs ( 0.05 usr  0.02 sys +  0.27 cusr  0.05 csys =  0.39 CPU)
+ Package  perl-Class-Mix-0.002-1.fc12.noarch =>
Provides: perl(Class::Mix) = 0.002
Requires: perl(Carp) perl(base) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Iain Arnell 2009-05-04 07:19:22 EDT
New Package CVS Request
=======================
Package Name: perl-Class-Mix
Short Description: Dynamic class mixing
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-04 16:49:01 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-04 19:29:26 EDT
perl-Class-Mix-0.002-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Class-Mix-0.002-1.fc11
Comment 5 Fedora Update System 2009-05-04 19:29:31 EDT
perl-Class-Mix-0.002-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Class-Mix-0.002-1.fc10
Comment 6 Iain Arnell 2009-05-04 19:35:13 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-12 00:05:38 EDT
perl-Class-Mix-0.002-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-12 00:11:42 EDT
perl-Class-Mix-0.002-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Iain Arnell 2012-09-07 08:54:19 EDT
Package Change Request
======================
Package Name: perl-Class-Mix
New Branches: el6
Owners: iarnell
InitialCC: perl-sig
Comment 10 Gwyn Ciesla 2012-09-07 09:04:28 EDT
Git done (by process-git-requests).
Comment 11 Petr Šabata 2014-12-18 08:38:29 EST
Package Change Request
======================
Package Name: perl-Class-Mix
New Branches: epel7
Owners: psabata
InitialCC: perl-sig
Comment 12 Gwyn Ciesla 2014-12-18 09:47:58 EST
Git done (by process-git-requests).
Comment 13 Petr Šabata 2014-12-18 09:54:34 EST
Thanks again.

Note You need to log in before you can comment on or make changes to this bug.